org.apache.commons.imaging.formats.tiff.write

## Class TiffOutputSet

- java.lang.Object
- - org.apache.commons.imaging.formats.tiff.write.TiffOutputSet

-     public final class TiffOutputSet
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ByteOrder` | `byteOrder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TiffOutputSet()`
    `TiffOutputSet(ByteOrder byteOrder)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDirectory(TiffOutputDirectory directory)`
    `TiffOutputDirectory` | `addExifDirectory()`
    `TiffOutputDirectory` | `addGPSDirectory()`
    `TiffOutputDirectory` | `addInteroperabilityDirectory()`
    `TiffOutputDirectory` | `addRootDirectory()`
    `void` | `dump()`
    `TiffOutputDirectory` | `findDirectory(int directoryType)`
    `TiffOutputField` | `findField(int tag)`
    `TiffOutputField` | `findField(TagInfo tagInfo)`
    `List<TiffOutputDirectory>` | `getDirectories()`
    `TiffOutputDirectory` | `getExifDirectory()`
    `TiffOutputDirectory` | `getGPSDirectory()`
    `TiffOutputDirectory` | `getInteroperabilityDirectory()`
    `TiffOutputDirectory` | `getOrCreateExifDirectory()`
    `TiffOutputDirectory` | `getOrCreateGPSDirectory()`
    `TiffOutputDirectory` | `getOrCreateRootDirectory()`
    `protected List<org.apache.commons.imaging.formats.tiff.write.TiffOutputItem>` | `getOutputItems(org.apache.commons.imaging.formats.tiff.write.TiffOutputSummary outputSummary)`
    `TiffOutputDirectory` | `getRootDirectory()`
    `void` | `removeField(int tag)`
    `void` | `removeField(TagInfo tagInfo)`
    `void` | `setGPSInDegrees(double longitude, double latitude)` A convenience method to update GPS values in EXIF metadata.
    `String` | `toString()`
    `String` | `toString(String prefix)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### byteOrder

          public final ByteOrder byteOrder

  - ### Constructor Detail

    - #### TiffOutputSet

          public TiffOutputSet()

    - #### TiffOutputSet

          public TiffOutputSet(ByteOrder byteOrder)

  - ### Method Detail

    - #### getOutputItems

          protected List<org.apache.commons.imaging.formats.tiff.write.TiffOutputItem> getOutputItems(org.apache.commons.imaging.formats.tiff.write.TiffOutputSummary outputSummary)
                                                                                               throws ImageWriteException

      Throws:
        `ImageWriteException`

    - #### addDirectory

          public void addDirectory(TiffOutputDirectory directory)
                            throws ImageWriteException

      Throws:
        `ImageWriteException`

    - #### getDirectories

          public List<TiffOutputDirectory> getDirectories()

    - #### getRootDirectory

          public TiffOutputDirectory getRootDirectory()

    - #### getExifDirectory

          public TiffOutputDirectory getExifDirectory()

    - #### getOrCreateRootDirectory

          public TiffOutputDirectory getOrCreateRootDirectory()
                                                       throws ImageWriteException

      Throws:
        `ImageWriteException`

    - #### getOrCreateExifDirectory

          public TiffOutputDirectory getOrCreateExifDirectory()
                                                       throws ImageWriteException

      Throws:
        `ImageWriteException`

    - #### getOrCreateGPSDirectory

          public TiffOutputDirectory getOrCreateGPSDirectory()
                                                      throws ImageWriteException

      Throws:
        `ImageWriteException`

    - #### getGPSDirectory

          public TiffOutputDirectory getGPSDirectory()

    - #### getInteroperabilityDirectory

          public TiffOutputDirectory getInteroperabilityDirectory()

    - #### findDirectory

          public TiffOutputDirectory findDirectory(int directoryType)

    - #### setGPSInDegrees

          public void setGPSInDegrees(double longitude,
                                      double latitude)
                               throws ImageWriteException

      A convenience method to update GPS values in EXIF metadata.
      Parameters:
        `longitude` - Longitude in degrees E, negative values are W.
        `latitude` - latitude in degrees N, negative values are S.
      Throws:
        `ImageWriteException` - if it fails to write the new data to the GPS directory

    - #### removeField

          public void removeField(TagInfo tagInfo)

    - #### removeField

          public void removeField(int tag)

    - #### findField

          public TiffOutputField findField(TagInfo tagInfo)

    - #### findField

          public TiffOutputField findField(int tag)

    - #### addRootDirectory

          public TiffOutputDirectory addRootDirectory()
                                               throws ImageWriteException

      Throws:
        `ImageWriteException`

    - #### addExifDirectory

          public TiffOutputDirectory addExifDirectory()
                                               throws ImageWriteException

      Throws:
        `ImageWriteException`

    - #### addGPSDirectory

          public TiffOutputDirectory addGPSDirectory()
                                              throws ImageWriteException

      Throws:
        `ImageWriteException`

    - #### addInteroperabilityDirectory

          public TiffOutputDirectory addInteroperabilityDirectory()
                                                           throws ImageWriteException

      Throws:
        `ImageWriteException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### toString

          public String toString(String prefix)

    - #### dump

          public void dump()

Copyright © 2007–2020 The Apache Software Foundation. All rights reserved.